cURL
curl --request GET \
--url https://bgv.konnectnxt.com/api/verification/get-employment-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://bgv.konnectnxt.com/api/verification/get-employment-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bgv.konnectnxt.com/api/verification/get-employment-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"message": "Data Fetched Successfully.",
"data": {
"case_id": "8a3b2d79e91c4ff1b2e97b9f2b36c123",
"personal_details": {
"user_gender": "MALE",
"user_dob": "23-08-1999",
"user_full_name": "John Doe",
"user_phone_number": "9101010101"
},
"employment_history": [
{
"sequence_number": "1",
"uan_number": "100342762111",
"date_of_exit": "NA",
"date_of_joining": "30-03-2015",
"establishment_id": "PYKRP00139620000023393",
"establishment_name": "ABC Pvt Ltd",
"member_id": "PBK0012345678",
"exit_reason": "NA",
"mobile": "NA",
"aadhaar_verification_status": ""
}
]
},
"credits_used": 1,
"credits_remaining": 499
}
Employment
Employment History
Fetches previous employment history using the candidate’s mobile number.
GET
/
verification
/
get-employment-history
cURL
Due to EPFO restrictions, this API can only provide the candidate’s last
employment record. Full employment history is no longer available.
You will be charged for API calls regardless of the response, including both
200 (successful) and 404 (not found) status codes.Authorizations
API key issued by KonnectNXT. Pass as Authorization: Bearer <your_api_key>.
Query Parameters
The 10-digit Indian mobile number of the candidate.
Pattern:
^[6-9]\d{9}$Example:
"9990191919"
Response
Successful response with employment history details.
Overall status of the API
Available options:
success, error HTTP status code
Example:
400
Description of the response or error
Example:
"Invalid request parameters"
Show child attributes
Show child attributes
Represents the total number of credits used in this request.
Example:
3
Represents the remaining credits available for use.
Example:
4040
Was this page helpful?

